hpp-corbaserver: hpp::corbaServer::ServantFactory< ServantBaseType, ServantType > Struct Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::corbaServer::ServantFactory< ServantBaseType, ServantType > Struct Template Reference
Extending the bindings

`#include <hpp/corbaserver/servant-base.hh>`

Inheritance diagram for hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >:
[legend]
Collaboration diagram for hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >:
[legend]

## Public Types
typedef ServantBaseType::Object_var | Object_var
typedef ServantBaseType::Storage | StorageBase
Public Types inherited from hpp::corbaServer::ServantFactoryBase< ServantBaseType >
typedef ServantBaseType::Storage | Storage
typedef ServantBaseType::Object_var | Object_var

## Public Member Functions
| ServantFactory (const size_type &depth)
virtual Object_var | servant (Server *s, const StorageBase &o)
Public Member Functions inherited from hpp::corbaServer::ServantFactoryBase< ServantBaseType >
| ServantFactoryBase (const size_type &depth)
size_type | depth () const

## Member Typedef Documentation

## ◆ Object_var

template<typename ServantBaseType , typename ServantType >

typedef ServantBaseType::Object_var hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >::Object_var

## ◆ StorageBase

template<typename ServantBaseType , typename ServantType >

typedef ServantBaseType::Storage hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >::StorageBase

## Constructor & Destructor Documentation

## ◆ ServantFactory()

template<typename ServantBaseType , typename ServantType >

hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >::ServantFactory | ( | const size_type & | depth | ) |
| inline

## Member Function Documentation

## ◆ servant()

template<typename ServantBaseType , typename ServantType >

virtual Object_var hpp::corbaServer::ServantFactory< ServantBaseType, ServantType >::servant | ( | Server * | s,
|  | const StorageBase & | o
| ) |  |
| inline virtual

Implements hpp::corbaServer::ServantFactoryBase< ServantBaseType >.

The documentation for this struct was generated from the following file:

- include/hpp/corbaserver/servant-base.hh